%global momorel 1
%global scimver 1.4.5
%global skimver 1.4.4
%global skimrel 0.20060301.3m
%global libhangulver 0.0.4
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global scim_major_version 1.4.0
%global md5sum_src0 72c5b5297c919b4e111b436e952ffd7f

Summary: Hangul Input Method Engine for SCIM
Name: scim-hangul
Version: 0.3.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: scim >= %{scimver}
Requires: libhangul >= %{libhangulver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: libhangul-devel >= %{libhangulver}
BuildRequires: qt-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase >= %{kdever}-%{kdebaserel}
BuildRequires: skim >= %{skimver}-%{skimrel}

%description
Scim-hangul is a SCIM IMEngine module for Korean (Hangul) input support.

%package -n skim-scim-hangul
Summary: skim-scim-hangul is a scim-hangul settings plugin for SKIM
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: skim >= %{skimver}

%description -n skim-scim-hangul
skim-scim-hangul is a scim-hangul settings plugin for SKIM.

%prep
%setup -q

# build fix
touch skim/setupui/skimeditshortcutbutton.h

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath \
	--disable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/{IMEngine,SetupUI}/hangul*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/hangul.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/hangul-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/scim-hangul.mo
%{_datadir}/scim/icons/scim-hangul.png

%files -n skim-scim-hangul
%defattr(-,root,root)
%doc skim/{AUTHORS,COPYING,ChangeLog,INSTALL}
%{_libdir}/kde3/kcm_skimplugin_scim_hangul.la
%{_libdir}/kde3/kcm_skimplugin_scim_hangul.so
%{_datadir}/apps/skim/pics/scim-hangul.png
%{_datadir}/config.kcfg/scim_hangul.kcfg
%{_datadir}/locale/*/LC_MESSAGES/skim-scim-hangul.mo
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_hangul_config.desktop

%changelog
* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- initial package for Momonga Linux
